package com.ruoyi.system.mapper.house;

import com.ruoyi.system.domain.house.HouseResourceBusinessEntityInfoMapping;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HouseResourceBusinessEntityInfoMappingMapper {

    void insert(HouseResourceBusinessEntityInfoMapping houseResourceBusinessEntityInfoMapping);

    void deleteByHouseResourceIdBusinessEntityInfoId(String houseResourceId, String businessEntityInfoId);

    void deleteByHouseResourceId(String houseResourceId);

    List<HouseResourceBusinessEntityInfoMapping> selectByBusinessEntityInfoId(String businessEntityInfoId);

    List<HouseResourceBusinessEntityInfoMapping> selectByHouseResourceId(String houseResourceId);

    List<HouseResourceBusinessEntityInfoMapping> selectByHouseResourceIds(@Param("houseResourceIds") List<String> houseResourceIds);
}
